pskc_set_id(3)

NAME
pskc_set_id - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_id(pskc_t * container, const char * id);

ARGUMENTS

pskc_t * container
    a pskc_t handle, from pskc_init().

const char * id
    pointer to id string to set.

DESCRIPTION
Set the PSKC KeyContainer Id attribute.

The pointer is stored in container, not a copy of the data, so you must not deallocate the data before another call to this function or the last call to any function using container.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.